---
lang: en
title: 'API docs: graphql.graphqlbindings'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/graphql
permalink: /doc/en/lb4/apidocs.graphql.graphqlbindings.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/graphql](./graphql.md) &gt; [GraphQLBindings](./graphql.graphqlbindings.md)

## GraphQLBindings namespace

Namespace for GraphQL related bindings

**Signature:**

```typescript
export declare namespace GraphQLBindings 
```

## Variables

<table><thead><tr><th>

Variable


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[COMPONENT](./graphql.graphqlbindings.component.md)


</td><td>

Binding key for the GraphQL component


</td></tr>
<tr><td>

[CONFIG](./graphql.graphqlbindings.config.md)


</td><td>

Binding key for setting and injecting GraphQLServerConfig


</td></tr>
<tr><td>

[GRAPHQL\_AUTH\_CHECKER](./graphql.graphqlbindings.graphql_auth_checker.md)


</td><td>

Binding key for the GraphQL auth checker


</td></tr>
<tr><td>

[GRAPHQL\_CONTEXT\_RESOLVER](./graphql.graphqlbindings.graphql_context_resolver.md)


</td><td>

Binding key for the GraphQL context resolver


</td></tr>
<tr><td>

[GRAPHQL\_SERVER](./graphql.graphqlbindings.graphql_server.md)


</td><td>

Binding key for the GraphQL server


</td></tr>
<tr><td>

[GRAPHQL\_WS\_CONTEXT\_RESOLVER](./graphql.graphqlbindings.graphql_ws_context_resolver.md)


</td><td>


</td></tr>
<tr><td>

[PUB\_SUB\_ENGINE](./graphql.graphqlbindings.pub_sub_engine.md)


</td><td>

Binding key for the GraphQL pub/sub engine


</td></tr>
<tr><td>

[RESOLVER\_CLASS](./graphql.graphqlbindings.resolver_class.md)


</td><td>

Binding key for the current resolver class


</td></tr>
<tr><td>

[RESOLVER\_DATA](./graphql.graphqlbindings.resolver_data.md)


</td><td>

Binding key for the GraphQL resolver data - which is bound per request


</td></tr>
<tr><td>

[RESOLVERS](./graphql.graphqlbindings.resolvers.md)


</td><td>

Binding key namespace for resolvers


</td></tr>
</tbody></table>

